Minimal BASH- Like line editing is supported Error

When I power on the system it is displaying which is shown below:-

minimal bash-like line editing is supported. for the first word tab lists possible completions of a device/filename

Can anyone help me to overcome this issue and plz let me know why it is coming so that in future i can overcome this issue

This is not an issue, it’s an GRUB error that can occur with any Linux based distribution, be it Ubuntu, Fedora, etc. To overcome this problem you need a same OS bootable disk and run the following series of commands to fix this issue.

1. Boot in lives session using bootable live OS.

2. Once you get the live session of terminal, try to install Boot Repair tool with the help of following commands.

$ sudo add-apt-repository ppa:yannubuntu/boot-repair $ sudo apt-get update $ sudo apt-get install boot-repair
**3.** Repair boot with Boot Repair as shown below.
$ boot-repair &
That's it...I hope it will fix your error..

Thanks for the response from you

I am new to linux
Right now i am having centos 6.5 32bit DVD with me
Can you help me out step by step in configuring step 1 and 2.

If you send it will be very helpful to me

Try to boot into the live mode using same CentOS 6.5 DVD, while booting at installation prompt screen type following command to switch into rescue environment.

# linux rescue
Then mount the root partition with the help of below command.
# chroot /mnt/sysimage
Next, try to re-install the GRUB boot loader. Where **/dev/hda** is your boot partition.
# /sbin/grub-install /dev/hda
Reboot the system.